<template>
    <div>
        <v-row v-for="(rows, key) in benefits"
               :key="key"
               justify="space-around"
               class="benefit">
            <v-col v-for="(benefit, index) in rows"
                   :key="index"
                   cols="12"
                   sm="6"
                   md="6"
                   lg="3"
                   class="pt-0 pb-0">
                <v-card
                    class="benefit-card px-10 px-sm-10 px-md-0 pb-4 pb-sm-0"
                    outlined
                    tile>
                    <img class="benefit-img"
                         :src="require(`@/assets/icons//${benefit.img}.png`)"
                         :alt="`Instagram ${benefit.name}`">
                    <v-card-title height="50px" class="benefit-name">
                        {{ benefit.name }}
                    </v-card-title>
                    <v-card-subtitle>{{ benefit.text }}</v-card-subtitle>
                </v-card>
            </v-col>
        </v-row>
    </div>
</template>

<script>

export default {
    name: 'Benefits',
    data: () => ({
        benefits: {
            firstRow: {
                realAudience: {
                    name: 'Real Audience',
                    text: 'We are a manual Instagram growth service and we will engage with individuals who are relevant to your brand.',
                    img: 'audience'
                },
                increaseFollowers: {
                    name: 'Increase Followers',
                    text: 'As a result of our team\'s work, you will see an increase in traffic to your Instagram profile and content',
                    img: 'increase_followers'
                },
                easySetup: {
                    name: 'Easy Setup',
                    text: 'Once you choose a growth plan, you will receive simple instructions to get started in minutes.',
                    img: 'setup'
                },
                dedicatedSupport: {
                    name: 'Dedicated Support',
                    text: 'We will be always here to help along the way!',
                    img: 'support'
                }
            },
            secondRow: {
                socialInfluence: {
                    name: 'Social Influence',
                    text: 'We boost your personal, influncer or business instagram account with our manual growth instagram service.',
                    img: 'boost_social_influence'
                },
                smartTargeting: {
                    name: 'Smart Targeting',
                    text: 'Your account manager will help your brand to reach your ideal audience, and they can localize your audience if necessary.',
                    img: 'smart_targeting'
                },
                constantlyGrowing: {
                    name: 'Constantly growing',
                    text: 'Your personal manager will keeping up with your profile and he will continuing to post great content is crucial to maximizing your success.',
                    img: 'statistics'
                },
                noBots: {
                    name: 'No Bots',
                    text: 'We have a team of real people that will sign into your Instagram account on a phone, and start interacting with your target audience.',
                    img: 'no_bots'
                }
            }
        }
    }),
}
</script>

<style lang="scss" scoped>
    .v-card__title {
        flex-direction: column;
    }
    .v-card__subtitle {
        height:110px;
    }

    .benefit {
        &-name {
            font-family: Poppins-Bold, Arial, sans-serif;
        }

        &-card {
            border: none !important;
        }

        &-img {
            width: 85%;
            min-height: 120px;
            margin: 0 auto;
            @media(max-width: 960px) {
                width: 80%;
            }
        }
    }
</style>
